dots.v2.oneClicks.kubernetes.post()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.oneClicks.kubernetes.post(body: OneClicks_create, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | KubernetesPostResponse>

Description

To install a Kubernetes 1-Click application on a cluster, send a POST request to /v2/1-clicks/kubernetes. The addon_slugs and cluster_uuid must be provided as body parameter in order to specify which 1-Click application(s) to install. To list all available 1-Click Kubernetes applications, send a request to /v2/1-clicks?type=kubernetes.

Parameters

addonSlugs array of strings required

Example: ["kube-state-metrics", "loki"]

An array of 1-Click Application slugs to be installed to the Kubernetes cluster.

Default: []

clusterUuid string required

Example: 50a994b6-c303-438f-9495-7e896cfe6b08

A unique ID for the Kubernetes cluster to which the 1-Click Applications will be installed.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.oneClicks.kubernetes.post({
    addonSlugs: [
        "kube-state-metrics",
        "loki",
    ],
    clusterUuid: "50a994b6-c303-438f-9495-7e896cfe6b08",
});

Response Example

Show Response Example
{
  "message": "Successfully kicked off addon job."
}

More Information

See /v2/1-clicks/kubernetes in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.